GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
gdcm::Item Class Reference

Class to represent an Item A component of the value of a Data Element that is of Value Representation Sequence of Items. An Item contains a Data Set . See PS 3.5 7.5.1 Item Encoding Rules Each Item of a Data Element of VR SQ shall be encoded as a DICOM Standart Data Element with a specific Data Element Tag of Value (FFFE,E000). The Item Tag is followed by a 4 byte Item Length field encoded in one of the following two ways Explicit/ Implicit. More...

`#include <gdcmItem.h>`

Inheritance diagram for gdcm::Item:
[legend]
Collaboration diagram for gdcm::Item:
[legend]

## Public Member Functions

| Item ()
| Item (Item const &val)
void | Clear ()
bool | FindDataElement (const Tag &t) const
const DataElement & | GetDataElement (const Tag &t) const
template<typename TDE >
VL | GetLength () const
const DataSet & | GetNestedDataSet () const
DataSet & | GetNestedDataSet ()
void | InsertDataElement (const DataElement &de)
template<typename TDE , typename TSwap >
std::istream & | Read (std::istream &is)
void | SetNestedDataSet (const DataSet &nested)
template<typename TDE , typename TSwap >
const std::ostream & | Write (std::ostream &os) const
Public Member Functions inherited from gdcm::DataElement
| DataElement (const Tag &t=Tag(0), const VL &vl=0, const VR &vr=VR::INVALID)
| DataElement (const DataElement &_val)
void | Clear ()
| Clear Data Element (make Value empty and invalidate Tag & VR)
void | Empty ()
| Make Data Element empty (no Value)
const ByteValue * | GetByteValue () const
template<typename TDE >
VL | GetLength () const
const SequenceOfFragments * | GetSequenceOfFragments () const
const SequenceOfItems * | GetSequenceOfItems () const
SequenceOfItems * | GetSequenceOfItems ()
const Tag & | GetTag () const
| Get Tag.
Tag & | GetTag ()
Value const & | GetValue () const
| Set/Get Value (bytes array, SQ of items, SQ of fragments):
Value & | GetValue ()
SmartPointer< SequenceOfItems > | GetValueAsSQ () const
const VL & | GetVL () const
| Get VL.
VL & | GetVL ()
VR const & | GetVR () const
bool | IsEmpty () const
| Check if Data Element is empty.
bool | IsUndefinedLength () const
| return if Value Length if of undefined length
bool | operator< (const DataElement &de) const
DataElement & | operator= (const DataElement &de)
bool | operator== (const DataElement &de) const
template<typename TDE , typename TSwap >
std::istream & | Read (std::istream &is)
template<typename TDE , typename TSwap >
std::istream & | ReadOrSkip (std::istream &is, std::set< Tag > const &skiptags)
template<typename TDE , typename TSwap >
std::istream & | ReadPreValue (std::istream &is, std::set< Tag > const &skiptags)
template<typename TDE , typename TSwap >
std::istream & | ReadValue (std::istream &is, std::set< Tag > const &skiptags)
template<typename TDE , typename TSwap >
std::istream & | ReadWithLength (std::istream &is, VL &length)
void | SetByteValue (const char *array, VL length)
void | SetTag (const Tag &t)
void | SetValue (Value const &vl)
void | SetVL (const VL &vl)
void | SetVLToUndefined ()
void | SetVR (VR const &vr)
template<typename TDE , typename TSwap >
const std::ostream & | Write (std::ostream &os) const

## Friends

std::ostream & | operator<< (std::ostream &os, const Item &val)

## Additional Inherited Members

Protected Types inherited from gdcm::DataElement
typedef SmartPointer< Value > | ValuePtr
Protected Attributes inherited from gdcm::DataElement
Tag | TagField
ValuePtr | ValueField
VL | ValueLengthField
VR | VRField

## Detailed Description

Class to represent an Item A component of the value of a Data Element that is of Value Representation Sequence of Items. An Item contains a Data Set . See PS 3.5 7.5.1 Item Encoding Rules Each Item of a Data Element of VR SQ shall be encoded as a DICOM Standart Data Element with a specific Data Element Tag of Value (FFFE,E000). The Item Tag is followed by a 4 byte Item Length field encoded in one of the following two ways Explicit/ Implicit.

Note
  ITEM: A component of the Value of a Data Element that is of Value Representation Sequence of Items. An Item contains a Data Set.

Examples:
  ChangeSequenceUltrasound.cxx, DumpGEMSMovieGroup.cxx, ExtractEncryptedContent.cxx, Extracting_All_Resolution.cxx, Fake_Image_Using_Stream_Image_Writer.cxx, gdcmrtionplan.cxx, gdcmrtplan.cxx, GenAllVR.cxx, GenFakeIdentifyFile.cxx, GenLongSeqs.cxx, GenSeqs.cxx, GetSequenceUltrasound.cxx, GetSubSequenceData.cxx, and LargeVRDSExplicit.cxx.

## Constructor & Destructor Documentation

gdcm::Item::Item | ( |  | ) |

inline

gdcm::Item::Item | ( | Item const & | val | ) |

inline

## Member Function Documentation

void gdcm::Item::Clear | ( |  | ) |

inline

References gdcm::DataElement::Clear().

Referenced by gdcm::SequenceOfItems::Read().

bool gdcm::Item::FindDataElement | ( | const Tag & | t | ) | const

inline

Examples:
  ReadAndDumpDICOMDIR.cxx.

const DataElement& gdcm::Item::GetDataElement | ( | const Tag & | t | ) | const

inline

Examples:
  ReadAndDumpDICOMDIR.cxx.

template<typename TDE >

VL gdcm::Item::GetLength | ( |  | ) | const

const DataSet& gdcm::Item::GetNestedDataSet | ( |  | ) | const

inline

Examples:
  ChangeSequenceUltrasound.cxx, DumpGEMSMovieGroup.cxx, ExtractEncryptedContent.cxx, Extracting_All_Resolution.cxx, Fake_Image_Using_Stream_Image_Writer.cxx, gdcmrtionplan.cxx, gdcmrtplan.cxx, GenAllVR.cxx, GenFakeIdentifyFile.cxx, GenSeqs.cxx, GetSequenceUltrasound.cxx, GetSubSequenceData.cxx, and LargeVRDSExplicit.cxx.

Referenced by gdcm::SequenceOfItems::Read().

DataSet& gdcm::Item::GetNestedDataSet | ( |  | ) |

inline

void gdcm::Item::InsertDataElement | ( | const DataElement & | de | ) |

inline

template<typename TDE , typename TSwap >

std::istream& gdcm::Item::Read | ( | std::istream & | is | ) |

inline

References gdcm::DataSet::Clear(), gdcmDebugMacro, gdcmErrorMacro, gdcmWarningMacro, gdcm::DataSet::IsEmpty(), and gdcm::SwapperDoOp::Swap().

Referenced by gdcm::SequenceOfItems::Read().

void gdcm::Item::SetNestedDataSet | ( | const DataSet & | nested | ) |

inline

template<typename TDE , typename TSwap >

const std::ostream& gdcm::Item::Write | ( | std::ostream & | os | ) | const

inline

References gdcmWarningMacro, gdcm::VL::GetLength(), gdcm::VL::Write(), and gdcm::Tag::Write().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Item & | val
| ) |  |

friend

The documentation for this class was generated from the following file:

- gdcmItem.h